org.apache.lucene.analysis.phonetic

## Class DaitchMokotoffSoundexFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenFilterFactory
    - - org.apache.lucene.analysis.phonetic.DaitchMokotoffSoundexFilterFactory

-     public class DaitchMokotoffSoundexFilterFactory
      extends TokenFilterFactory

  Factory for `DaitchMokotoffSoundexFilter`. Create tokens based on Daitch–Mokotoff Soundex phonetic filter.

  This takes one optional argument:

  inject
    (default=true) add tokens to the stream with the offset=0

       <fieldType name="text_phonetic" class="solr.TextField" positionIncrementGap="100">
         <analyzer>
           <tokenizer class="solr.WhitespaceTokenizerFactory"/>
           <filter class="solr.DaitchMokotoffSoundexFilterFactory" inject="true"/>
         </analyzer>
       </fieldType>

  Since:
    5.0.0
  See Also:
    `DaitchMokotoffSoundexFilter`
  WARNING: This API is experimental and might change in incompatible ways in the next release.
  SPI Name (Note: This is case-insensitive. e.g., if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service):
    "daitchMokotoffSoundex"

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `INJECT` parameter name: true if encoded tokens should be added as synonyms
    `static String` | `NAME` SPI name

    - ### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DaitchMokotoffSoundexFilterFactory(Map<String,String> args)` Creates a new PhoneticFilterFactory

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DaitchMokotoffSoundexFilter` | `create(TokenStream input)`

    - ### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

      `availableTokenFilters, findSPIName, forName, lookupClass, normalize, reloadTokenFilters`

    - ### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      SPI name
      See Also:
        Constant Field Values

    - #### INJECT

          public static final String INJECT

      parameter name: true if encoded tokens should be added as synonyms
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DaitchMokotoffSoundexFilterFactory

          public DaitchMokotoffSoundexFilterFactory(Map<String,String> args)

      Creates a new PhoneticFilterFactory

  - ### Method Detail

    - #### create

          public DaitchMokotoffSoundexFilter create(TokenStream input)

      Specified by:
        `create` in class `TokenFilterFactory`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.